DEPTHFUNC(3CgFX)

NAME
DepthFunc - 3D API depth func

USAGE
DepthFunc = int(func)

VALID ENUMERANTS
func: Never, Less, LEqual, LessEqual, Equal, Greater, NotEqual, GEqual, GreaterEqual, Always

DESCRIPTION
Specify the function used for depth buffer comparisons. See the OpenGL glDepthFunc manual page for details. See the D3DRS_ZFUNC render state description for DirectX 9.

The standard reset callback sets the DepthFunc state to int(Less).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearDepth, DepthBias, DepthBounds, DepthBoundsEnable, DepthClampEnable, DepthTestEnable, DepthMask, DepthRange, DepthTestEnable, SlopScaleDepthBias, ZEnable, ZFunc, ZWriteEnable